import { icon } from "npm:@fortawesome/fontawesome-svg-core@6.7.2";

// Free icon packs
import { fas } from "npm:@fortawesome/free-solid-svg-icons@6.7.2";
import { fab } from "npm:@fortawesome/free-brands-svg-icons@6.7.2";
import { far } from "npm:@fortawesome/free-regular-svg-icons@6.7.2";

const packs = {
  "solid": fas,
  "brands": fab,
  "regular": far,
};

try {
  await Deno.remove("icons", { recursive: true });
} catch {
  // Ignore
}

await Deno.mkdir("icons");

for (const [name, pack] of Object.entries(packs)) {
  await Deno.mkdir(`icons/${name}`);

  for (const iconLookup of Object.values(pack)) {
    const svg = icon(iconLookup);
    await Deno.writeTextFile(
      `icons/${name}/${iconLookup.iconName}.svg`,
      svg.html.join(""),
    );
  }
}
